Subject: Re: [TLS] TLS1.2 vs TLS1.0

From: Peter Gutmann <[email-masked]>
Date: Fri, 24 May 2013 01:01:24 +0000

Ulrich Herberg <[email-masked]> writes:

>What would be your recommendation in this case? Mandate TLS1.2 and disallow
>TLS1.0? Or just strongly recommend ("SHOULD") to use TLS1.2 and SHA2 ciphers,
>and otherwise to use TLS1.0?

I would mandate TLS 1.1 with the encrypt-then-MAC fix.  TLS 1.2 is erratically
deployed and supported while 1.1 is pretty universal (and even if a vendor
doesn't do it yet, it's a minor tweak on 1.0 while 1.2 is a massive rewrite).
Also TLS 1.2 is actually weaker than TLS 1.1-with-MAC-fix (unless you use AEAD
ciphers, which have their own issues).

Peter.